Name:		iw
Summary:	Configuration utility for wireless devices
Version:	6.9
Release:	%mkrel 1
License:	BSD
Group:		System/Base
URL:		https://wireless.wiki.kernel.org/en/users/documentation/iw
Source0:	https://www.kernel.org/pub/software/network/iw/iw-%{version}.tar.xz

BuildRequires:	pkgconfig(libnl-3.0)

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which use a
mac80211 driver as these are the new drivers being written.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build CC=%{__cc}

%install
%make_install

%files
%doc COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.*


%changelog
* Sun Jul 07 2024 daviddavid <daviddavid> 6.9-1.mga10
+ Revision: 2080172
- new version: 6.9

* Fri Feb 16 2024 ns80 <ns80> 6.7-1.mga10
+ Revision: 2041837
- new version 6.7 (mga#32813)

* Thu Oct 20 2022 ghibo <ghibo> 5.19-1.mga9
+ Revision: 1897805
- Update to release 5.19

* Fri Mar 18 2022 umeabot <umeabot> 5.16-2.mga9
+ Revision: 1797621
- Mageia 9 Mass Rebuild

* Tue Nov 16 2021 luigiwalser <luigiwalser> 5.16-1.mga9
+ Revision: 1757374
- 5.16

* Wed Oct 14 2020 luigiwalser <luigiwalser> 5.9-1.mga8
+ Revision: 1636112
- 5.9
- update URL

* Fri Aug 28 2020 luigiwalser <luigiwalser> 5.8-1.mga8
+ Revision: 1619294
- 5.8

* Tue Feb 18 2020 umeabot <umeabot> 5.4-2.mga8
+ Revision: 1539294
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Dec 05 2019 tmb <tmb> 5.4-1.mga8
+ Revision: 1464634
- update to 5.4

* Thu Aug 08 2019 tmb <tmb> 5.3-1.mga8
+ Revision: 1428201
- update to 5.3

* Fri Jul 26 2019 tmb <tmb> 5.0.1-2.mga8
+ Revision: 1424381
- add post 5.0.1 fixes from git

* Sun Feb 17 2019 luigiwalser <luigiwalser> 5.0.1-1.mga7
+ Revision: 1367966
- 5.0.1

* Sat Feb 02 2019 tmb <tmb> 5.0-1.mga7
+ Revision: 1362410
- update to 5.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 4.14-1.mga7
+ Revision: 1346441
- 4.14
- update URL

* Sun Sep 23 2018 umeabot <umeabot> 4.9-2.mga7
+ Revision: 1298343
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 luigiwalser <luigiwalser> 4.9-1.mga6
+ Revision: 1066537
- 4.9

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.7-1.mga6
+ Revision: 1045505
- 4.7

* Sun Jan 03 2016 luigiwalser <luigiwalser> 4.3-1.mga6
+ Revision: 918765
- 4.3

* Sun Jul 26 2015 blino <blino> 4.1-1.mga6
+ Revision: 857767
- 4.1

* Sun Oct 26 2014 luigiwalser <luigiwalser> 3.17-1.mga5
+ Revision: 793380
- 3.17

* Wed Oct 15 2014 umeabot <umeabot> 3.15-3.mga5
+ Revision: 739243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.15-2.mga5
+ Revision: 680591
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 luigiwalser <luigiwalser> 3.15-1.mga5
+ Revision: 650908
- 3.15

* Sat Feb 15 2014 dams <dams> 3.14-1.mga5
+ Revision: 591698
- new version 3.14

* Mon Oct 21 2013 umeabot <umeabot> 3.11-2.mga4
+ Revision: 541007
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 3.11-1.mga4
+ Revision: 494945
- 3.11

* Sun May 26 2013 blino <blino> 3.10-1.mga4
+ Revision: 428332
- 3.10

* Sat Jan 12 2013 umeabot <umeabot> 3.8-2.mga3
+ Revision: 354599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.8-1.mga3
+ Revision: 339601
- update to 3.8

* Sat Oct 20 2012 tmb <tmb> 3.7-1.mga3
+ Revision: 308448
- update to 3.7

* Mon Aug 27 2012 tmb <tmb> 3.6-2.mga3
+ Revision: 284513
- rebuild with fixed libnl

* Mon Aug 27 2012 tmb <tmb> 3.6-1.mga3
+ Revision: 284471
- update to 3.6

* Mon Mar 19 2012 tmb <tmb> 3.3-2.mga2
+ Revision: 224406
- build against libnl3

* Mon Mar 05 2012 tmb <tmb> 3.3-1.mga2
+ Revision: 219120
- update to 3.3

* Fri Jan 06 2012 tmb <tmb> 3.2-1.mga2
+ Revision: 192638
- update to 3.2
- drop buildroot and defattr

* Sun Nov 27 2011 tv <tv> 3.1-1.mga2
+ Revision: 172589
- new release
+ tmb <tmb>
- update to 3.0

* Wed Feb 16 2011 tmb <tmb> 0.9.22-1.mga1
+ Revision: 52174
- update to 0.9.22
+ pterjan <pterjan>
- Accept any compression for manpage
+ kharec <kharec>
- imported package iw


* Sun Sep 26 2010 Thomas Backlund <tmb@mandriva.org> 0.9.21-1mdv2011.0
+ Revision: 581073
- update to 0.9.21

* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.20-1mdv2011.0
+ Revision: 570172
- New version 0.9.20

* Tue Jan 12 2010 Thomas Backlund <tmb@mandriva.org> 0.9.19-1mdv2010.1
+ Revision: 490229
- update to 0.9.19

* Fri Dec 18 2009 Thomas Backlund <tmb@mandriva.org> 0.9.18-1mdv2010.1
+ Revision: 480024
- update to 0.9.18

* Wed Aug 26 2009 Thomas Backlund <tmb@mandriva.org> 0.9.17-1mdv2010.0
+ Revision: 421535
- update to 0.9.17

* Sun Aug 23 2009 Thomas Backlund <tmb@mandriva.org> 0.9.16-1mdv2010.0
+ Revision: 419738
- update to 0.9.16

* Mon Jul 13 2009 Thomas Backlund <tmb@mandriva.org> 0.9.15-1mdv2010.0
+ Revision: 395450
- update to 0.9.15

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.14-1mdv2010.0
+ Revision: 377743
- update to new version 0.9.14

* Wed Mar 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.10-1mdv2009.1
+ Revision: 357413
- Updated to version 0.9.10

* Mon Jan 26 2009 Michael Scherer <misc@mandriva.org> 0.9.9-1mdv2009.1
+ Revision: 333926
- update to 0.9.9

  + Emmanuel Andry <eandry@mandriva.org>
    - disable explicit libnl1 Requires (#47247)

* Thu Jan 15 2009 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 0.9.8-1mdv2009.1
+ Revision: 329790
- import iw


